package com.xinelu.manage.mapper.info;

import java.util.List;

import com.xinelu.manage.domain.info.Info;

/**
 * 资讯信息Mapper接口
 *
 * @author xinelu
 * @date 2024-04-11
 */
public interface InfoMapper {
    /**
     * 查询资讯信息
     *
     * @param id 资讯信息主键
     * @return 资讯信息
     */
     Info selectInfoById(Long id);

    /**
     * 查询资讯信息列表
     *
     * @param info 资讯信息
     * @return 资讯信息集合
     */
    List<Info> selectInfoList(Info info);

    /**
     * 新增资讯信息
     *
     * @param info 资讯信息
     * @return 结果
     */
    int insertInfo(Info info);

    /**
     * 修改资讯信息
     *
     * @param info 资讯信息
     * @return 结果
     */
    int updateInfo(Info info);

    /**
     * 删除资讯信息
     *
     * @param id 资讯信息主键
     * @return 结果
     */
    int deleteInfoById(Long id);

    /**
     * 批量删除资讯信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteInfoByIds(Long[] ids);


    /**
     * 根据id数组查询资讯信息
     *
     * @param ids 数组
     * @return List<Info>
     */

    List<Info> selectInfoByIds(Long[] ids);

}
